Embedded GUI: Widgets within editor<%>

1`` | Containers
2`` | Controls
3`` | Control Snips
4`` | Helpers
5`` | Snip Functions

Inherited methods:
from alignment<%>
align
get-min-height
get-min-width
get-parent
set-min-sizes
show
show/ hide
stretchable-height
stretchable-width
from dllist<%>
for-each
map-to-list
next
prev

Version: 4.0.2
contents
← prev up next →

embedded-text-button% : class?
superclass: snip-wrapper%

extends: | alignment<%>

A button with a text label.

(new embedded-text-button% |  | [label label] |
|  | [callback callback]) |

→ (is-a?/c embedded-text-button%)
label : string?
callback : ((is-a?/c text-button-snip%) (is-a?/c event%) . -> . void?)

The callback is called when the button is clicked.

contents
← prev up next →